************** Quality of Life in Hand Eczema Questionnaire ******* QOLHEQ ********************************
*
* The variables have to be named according to their order in the questionnaire as "qol1", "qol2" to "qol30".
*
* The coding for all variables has to be 
*"0" for "never", 
*"1" for "rarely", 
*"2" for "sometimes", 
*"3" for "often" and 
*"4" for "all the time"
*
* After running this script you receive four variables for the domain scores named "symptoms", "emotions", "functions" and "treatment"
* and one variable for the overall score named "qolheq"
*
** SYMPTOMS *************************************************************************************************************************************

comp symp_counter=0.

comp n_qol1=qol1.
if sysmis(qol1)  symp_counter=symp_counter+1.
if sysmis(qol1) n_qol1=0.
fre n_qol1.

comp n_qol6=qol6.
if sysmis(qol6)  symp_counter=symp_counter+1.
if sysmis(qol6) n_qol6=0.
fre n_qol6.

comp n_qol9=qol9.
if sysmis(qol9)  symp_counter=symp_counter+1.
if sysmis(qol9) n_qol9=0.
fre n_qol9.

comp n_qol11=qol11.
if sysmis(qol11)  symp_counter=symp_counter+1.
if sysmis(qol11) n_qol11=0.
fre n_qol11.

comp n_qol20=qol20.
if sysmis(qol20)  symp_counter=symp_counter+1.
if sysmis(qol20) n_qol20=0.
fre n_qol20.

comp n_qol23=qol23.
if sysmis(qol23)  symp_counter=symp_counter+1.
if sysmis(qol23) n_qol23=0.
fre n_qol23.

comp n_qol28=qol28.
if sysmis(qol28)  symp_counter=symp_counter+1.
if sysmis(qol28) n_qol28=0.
recode n_qol28 (2=1) (3=2) (4=3).
fre n_qol28.


comp symptoms=n_qol1 + n_qol6 + n_qol9 + n_qol11 + n_qol20 + n_qol23 + n_qol28.
if symp_counter>1 symptoms=99.
missing values symptoms(99).
variable labels symptoms 'symptoms'.
fre symptoms.



** EMOTIONS **************************************************************************************************************************************


comp emo_counter=0.

comp n_qol5=qol5.
if sysmis(qol5)  emo_counter=emo_counter+1.
if sysmis(qol5) n_qol5=0.
fre n_qol5.

comp n_qol8=qol8.
if sysmis(qol8)  emo_counter=emo_counter+1.
if sysmis(qol8) n_qol8=0.
fre n_qol8.

comp n_qol10=qol10.
if sysmis(qol10)  emo_counter=emo_counter+1.
if sysmis(qol10) n_qol10=0.
recode n_qol10 (2=1) (3=2) (4=3).
fre n_qol10.

comp n_qol16=qol16.
if sysmis(qol16)  emo_counter=emo_counter+1.
if sysmis(qol16) n_qol16=0.
fre n_qol16.

comp n_qol19=qol19.
if sysmis(qol19)  emo_counter=emo_counter+1.
if sysmis(qol19) n_qol19=0.
fre n_qol19.

comp n_qol21=qol21.
if sysmis(qol21)  emo_counter=emo_counter+1.
if sysmis(qol21) n_qol21=0.
fre n_qol21.

comp n_qol27=qol27.
if sysmis(qol27)  emo_counter=emo_counter+1.
if sysmis(qol27) n_qol27=0.
fre n_qol27.

comp n_qol30=qol30.
if sysmis(qol30)  emo_counter=emo_counter+1.
if sysmis(qol30) n_qol30=0.
fre n_qol30.


comp emotions=n_qol5 + n_qol8 + n_qol10 + n_qol16 + n_qol19 + n_qol21 + n_qol27 + n_qol30.
if emo_counter>1 emotions=99.
missing values emotions(99).
variable labels emotions 'emotions'.
fre emotions.



** FUNCTIONING  **************************************************************************************************************************************


comp func_counter=0.

comp n_qol2=qol2.
if sysmis(qol2)  func_counter=func_counter+1.
if sysmis(qol2) n_qol2=0.
fre n_qol2.

comp n_qol3=qol3.
if sysmis(qol3)  func_counter=func_counter+1.
if sysmis(qol3) n_qol3=0.
fre n_qol3.

comp n_qol12=qol12.
if sysmis(qol12)  func_counter=func_counter+1.
if sysmis(qol12) n_qol12=0.
fre n_qol12.

comp n_qol14=qol14.
if sysmis(qol14)  func_counter=func_counter+1.
if sysmis(qol14) n_qol14=0.
fre n_qol14.

comp n_qol15=qol15.
if sysmis(qol15)  func_counter=func_counter+1.
if sysmis(qol15) n_qol15=0.
fre n_qol15.

comp n_qol17=qol17.
if sysmis(qol17)  func_counter=func_counter+1.
if sysmis(qol17) n_qol17=0.
fre n_qol17.

comp n_qol25=qol25.
if sysmis(qol25)  func_counter=func_counter+1.
if sysmis(qol25) n_qol25=0.
fre n_qol25.

comp n_qol29=qol29.
if sysmis(qol29)  func_counter=func_counter+1.
if sysmis(qol29) n_qol29=0.
fre n_qol29.


comp functions=n_qol2 + n_qol3 + n_qol12 + n_qol14 + n_qol15 + n_qol17  + n_qol25 + n_qol29.
if func_counter>1 functions=99.
missing values functions(99).
variable labels functions 'functions'.
fre functions.



**TREATMENT and prevention  **************************************************************************************************************************************


comp treat_counter=0.

comp n_qol4=qol4.
if sysmis(qol4)  treat_counter=treat_counter+1.
if sysmis(qol4) n_qol4=0.
recode n_qol4(2=1) (3=2) (4=3).
fre n_qol4.

comp n_qol7=qol7.
if sysmis(qol7)  treat_counter=treat_counter+1.
if sysmis(qol7) n_qol7=0.
fre n_qol7.

comp n_qol13=qol13.
if sysmis(qol13)  treat_counter=treat_counter+1.
if sysmis(qol13) n_qol13=0.
fre n_qol13.

comp n_qol18=qol18.
if sysmis(qol18)  treat_counter=treat_counter+1.
if sysmis(qol18) n_qol18=0.
fre n_qol18.

comp n_qol22=qol22.
if sysmis(qol22)  treat_counter=treat_counter+1.
if sysmis(qol22) n_qol22=0.
fre n_qol22.

comp n_qol24=qol24.
if sysmis(qol24)  treat_counter=treat_counter+1.
if sysmis(qol24) n_qol24=0.
fre n_qol24.

comp n_qol26=qol26.
if sysmis(qol26)  treat_counter=treat_counter+1.
if sysmis(qol26) n_qol26=0.
fre n_qol26.


comp treatment=n_qol4 + n_qol7 + n_qol13 + n_qol18 + n_qol22 + n_qol24 + n_qol26.
if treat_counter>1 treatment=99.
missing values treatment(99).
variable labels treatment 'treatment and prevention'.
fre treatment.



**QOLHEQ OVERALL  **************************************************************************************************************************************

comp counter=symp_counter + emo_counter + func_counter + treat_counter.
fre counter.

comp QOLHEQ=n_qol1 + n_qol6 + n_qol9 + n_qol11 + n_qol20 + n_qol23 + n_qol28 + n_qol5 + n_qol8 + n_qol10 + n_qol16 + n_qol19 + n_qol21 + n_qol27 + n_qol30 + n_qol2 + n_qol3 + n_qol12 + n_qol14 + n_qol15 + n_qol17 + n_qol25 + n_qol29 + n_qol4 + n_qol7 + n_qol13 + n_qol18 + n_qol22 + n_qol24 + n_qol26.
if counter>3 QOLHEQ=99.
missing values QOLHEQ(99).
variable labels qolheq 'QOLHEQ overall score'.
fre QOLHEQ.

